%define nm_version 0.7.0.97
%define nm_applet_version 0.7.0.97
%define ppp_version 2.4.4

Name: NetworkManager-pptp
Version: 0.7.1
Release: alt0.M41.1
License: %gpl2plus
Group: System/Configuration/Networking
Summary:  NetworkManager VPN plugin for pptp
Url: http://www.gnome.org/projects/NetworkManager/
Packager: Mikhail Efremov <sem@altlinux.org>
Source: %name-%version.tar
Patch0: %name-%version-%release.patch
Requires: NetworkManager   >= %nm_version
Requires: pptp-client
Requires: ppp = %ppp_version

# Automatically added by buildreq on Thu Aug 14 2008
BuildRequires: libgnome-keyring-devel
BuildRequires: ppp-devel
BuildRequires: rpm-build-licenses
BuildRequires: NetworkManager-devel >= %nm_version
BuildRequires: NetworkManager-glib-devel >= %nm_version
BuildRequires: gtk2-devel             >= 2.10.0
BuildRequires: libdbus-devel             >= 1.1
BuildRequires: libGConf-devel
BuildRequires: libglade2-devel
BuildRequires: libpng-devel
BuildRequires: intltool gettext
BuildRequires: libGConf-devel

%description
This package contains software for integrating the pptp VPN software
with NetworkManager.

%package gnome
License: %gpl2plus
Summary: GNOME applications for %name
Group: Graphical desktop/GNOME
Requires: gtk2             >= 2.10.0
Requires: shared-mime-info >= 0.16
Requires: GConf2
Requires: gnome-keyring
Requires: NetworkManager-gnome >= %nm_applet_version
Requires: NetworkManager-pptp = %version

%description gnome
This package contains GNOME applications for use with
NetworkManager panel applet.

%prep
%setup -q
%patch0 -p1

%build
%autoreconf
%configure \
	--disable-static
%make_build

%install
%make_install DESTDIR=%buildroot install
%find_lang %name

%post
if /sbin/service messagebus status &>/dev/null; then
dbus-send --system --type=method_call --dest=org.freedesktop.DBus / org.freedesktop.DBus.ReloadConfig &>/dev/null ||:
else
echo "NetworkManager-pptp requires running messagebus service." >&2
fi

%files
%doc AUTHORS ChangeLog
%config(noreplace) %_sysconfdir/dbus-1/system.d/nm-pptp-service.conf
%config(noreplace) %_sysconfdir/NetworkManager/VPN/nm-pptp-service.name
%_libexecdir/nm-pptp-service
%_libdir/pppd/%ppp_version/*.so

%files gnome -f %name.lang
%_libdir/NetworkManager/lib*.so*
%_libexecdir/nm-pptp-auth-dialog
%_datadir/gnome-vpn-properties/pptp/nm-pptp-dialog.glade
%_datadir/applications/nm-pptp.desktop
%_datadir/icons/hicolor/48x48/apps/gnome-mime-application-x-pptp-settings.png

%exclude %_libdir/NetworkManager/*.la
%exclude %_libdir/pppd/%ppp_version/*.la

%changelog
* Tue Jul 07 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1-alt0.M41.1
- port to M41

* Wed Apr 15 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1-alt1
- Release 0.7.1

* Thu Mar 05 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.99-alt1
- 0.7.0.99 (0.7.1-rc3)

* Tue Mar 03 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.97-alt2
- GNOME stuff moved to NetworkManager-pptp-gnome

* Thu Feb 19 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.97-alt1
- 0.7.0.97 (0.7.1-rc1)

* Wed Dec 03 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt3
- Release NetworkManager 0.7

* Tue Nov 25 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt2.svn.r4326
- BuildRequires fixed

* Tue Nov 25 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn.r4326
- new svn snapshot
- removed obsolete post/postun macros calls
- update summary

* Tue Nov 11 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn.r4229
- new svn snapshot
- FC patch (Fix hang in auth dialog (rh #467007))

* Thu Aug 14 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn.r3930
- initial build

